List covered markets
curl --request GET \
--url https://api.hypedexer.com/market/coins \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/market/coins"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/market/coins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "215 coins",
"data": [
{
"coin": "BTC",
"kind": "perp",
"dex": "",
"symbol_archive": "PSWP-BTC/USDT",
"first_trade": "2024-04-28T12:59:59.567000",
"last_trade": "2026-02-13T20:06:07.161000",
"trades": 168852309,
"notional_usd": 1460953408878.69
},
{
"coin": "ETH",
"kind": "perp",
"dex": "",
"symbol_archive": "PSWP-ETH/USDT",
"first_trade": "2024-04-28T12:59:57.740000",
"last_trade": "2026-02-14T23:59:58.060000",
"trades": 119418469,
"notional_usd": 1023108236235.63
}
],
"total_count": 215,
"execution_time_ms": 10.66,
"next_cursor": null,
"has_more": null
}Market history
List covered markets
Markets covered by the market history archive (April 2024 to February 2026), with first and last trade, trade count and traded notional. Filter with kind (perp, spot, hip3). Spot pairs use the Hyperliquid @index name, HIP-3 markets the dex:COIN name.
GET
/
market
/
coins
List covered markets
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Query Parameters
Filter by market kind
Response
OK
The response is of type object.